Le manuel de KDE su
Précédent |  | Suivant

# Chapitre 3. Utiliser KDE su

L'utilisation de KDE su est simple. La syntaxe est la suivante :

kdesu [USER] [-n] [-t] [-q] [-d] [-f `FILE`] [-c [ `COMMAND` [`ARG1`] [`ARG2`] [``...] ] ]

kdesu [-v | -h | -s]

Les options de la ligne de commande sont expliquées ci-dessous.

`-c `PROGRAMME``

  Ceci spécifie le programme à lancer en tant que superutilisateur. Il doit être passé comme un seul argument. Ainsi, par exemple, si vous voulez lancer un nouveau gestionnaire de fichiers, vous saisirez la commande : `kdesu `-c `kfm -sw```

`-f `FICHIER``

  Cette option permet une utilisation efficace de KDE su dans les fichiers `.desktop`. Elle dit à KDE su d'examiner le fichier spécifié par l'argument `FICHIER`. Si ce fichier est accessible en écriture par l'utilisateur courant, KDE su exécutera la commande pour le compte de l'utilisateur courant. Si ce n'est pas le cas, la commande sera exécutée pour le compte de l'utilisateur `USER` (par défaut root).

  `FICHIER` est évalué comme suit : si `FICHIER` commence par un « / », il est considéré comme un nom de fichier absolu. Autrement, il est considéré comme étant le nom d'un fichier de configuration global de KDE. Par exemple : pour configurer le gestionnaire d'affichage kdm, vous pouvez utiliser kdesu `-c kdmconfig -f kdmrc`

`-t`

  Active la sortie sur le terminal. Ceci désactive la conservation des mots de passe. Cette option sert principalement pour le débogage ; si vous voulez lancer une application en mode console, utilisez plutôt le « su » standard.

`-n`

  Ne conserve pas le mot de passe. Ceci désactive la case à cocher « conserver le mot de passe » dans la boîte de dialogue correspondante.

`-q`

  Rester silencieux (« quiet »)

`-d`

  Affiche les informations de débogage.

`-v`

  Affiche l'information sur la version et sort.

`-h`

  Affiche un peu d'aide.

`-s`

  Arrête le démon (daemon) kdesu. Consulter la Section 5.4.

Précédent | Sommaire | Suivant
Compilation |  | Configuration